function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Wind2.ogg",-1)	
	SetMarker("Pi Ramses\\Temple U\\Warp_0006.wp",0,0)
	SetMarker("Pi Ramses\\Temple U\\Warp_0012.wp",0,0)
	SetMarker("Pi Ramses\\Temple U\\Warp_0010.wp",0,0)
	--Animation
	--StartAnimation("O1U1",-1) --Djer
	--if MAYA_BETRAYED then
	--	StartAnimationPart("O2U1",0,60,-1,true) 
	--	StartAnimation("G2U1",-1) 
	--end
	if DjerStandIn_piU_012 then
		if DjerBlocking_piU_012 then
			StartAnimationPart("O1U1",0,30,-1,true) --djer
		else
			StartAnimationPart("O1U1",0,30,-1,true) --djer
		end
	end
	if MAYA_BETRAYED and FirstKahemTalk_piU_010 then
		StartAnimation("G2U1",-1) 
		if BrickMakerTurned_piM_006 then
			StartAnimationPart("O2U1",0,60,-1,true) 
		else
			StartAnimationPart("O2U1",61,120,-1,true) 
		end
	end
	if MAYA_BEATED then
		StartAnimation("G2U1",-1) -- check guard
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "BAT1" then

------------------------------------------------------------
	elseif objectName == "D1T1" then

------------------------------------------------------------
	elseif objectName == "D2T1" then

------------------------------------------------------------
	elseif objectName == "O2T1" then

------------------------------------------------------------
	elseif objectName == "O4t1" then
	end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0006.wp"  then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0010.wp"  then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0012.wp"  then
		ChangeWarp(objectName)
        end
end
